<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Base Plugins 1.0 Library Reference Manual: gstpbutils</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Base Plugins 1.0 Library Reference Manual">
<link rel="up" href="gstreamer-base-utils.html" title="Base Utils Library">
<link rel="prev" href="gstreamer-base-utils.html" title="Base Utils Library">
<link rel="next" href="gst-plugins-base-libs-gstpluginsbaseversion.html" title="gstpluginsbaseversion">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-libs-gstpbutils.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-libs-gstpbutils.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="gstreamer-base-utils.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gstreamer-base-utils.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-base-libs-gstpluginsbaseversion.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-base-libs-gstpbutils"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-base-libs-gstpbutils.top_of_page"></a>gstpbutils</span></h2>
<p>gstpbutils — General Application and Plugin Utility Library</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstpbutils.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-plugins-base-libs-gstpbutils.html#gst-pb-utils-init" title="gst_pb_utils_init ()">gst_pb_utils_init</a> <span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstpbutils.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstpbutils.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;gst/pbutils/pbutils.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstpbutils.description"></a><h2>Description</h2>
<div class="refsect2">
<a name="id-1.2.14.3.6.2"></a><h3>Linking to this library</h3>
<p>
libgstpbutils is a general utility library for plugins and applications.
It currently provides the
following:
</p>
<div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; ">
<li class="listitem"><p>
human-readable description strings of codecs, elements, sources, decoders,
encoders, or sinks from decoder/encoder caps, element names, or protocol
names.
</p></li>
<li class="listitem"><p>
support for applications to initiate installation of missing plugins (if
this is supported by the distribution or operating system used)
</p></li>
<li class="listitem"><p>
API for GStreamer elements to create missing-plugin messages in order to
communicate to the application that a certain type of plugin is missing
(decoder, encoder, URI protocol source, URI protocol sink, named element)
</p></li>
<li class="listitem"><p>
API for applications to recognise and handle missing-plugin messages
</p></li>
</ul></div>
<p>
You should obtain the required CFLAGS and LIBS using pkg-config on the
gstreamer-plugins-base-0.10 module. You will then also need to add
'-lgstpbutils-0.10' manually to your LIBS line.
</p>
<p>
Before using any of its functions, applications and plugins must call
<a class="link" href="gst-plugins-base-libs-gstpbutils.html#gst-pb-utils-init" title="gst_pb_utils_init ()"><code class="function">gst_pb_utils_init()</code></a> to initialise the library.
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstpbutils.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gst-pb-utils-init"></a><h3>gst_pb_utils_init ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_pb_utils_init (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Initialises the base utils support library. This function is not
thread-safe. Applications should call it after calling <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-Gst.html#gst-init"><code class="function">gst_init()</code></a>,
plugins should call it from their plugin_init function.</p>
<p>This function may be called multiple times. It will do nothing if the
library has already been initialised.</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-libs-gstpbutils.other_details"></a><h2>Types and Values</h2>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>